Package org.apache.avro.tool

# Class ToTrevniTool

java.lang.Object
org.apache.avro.tool.ToTrevniTool

All Implemented Interfaces:
  `Tool`

public class ToTrevniTool extends Object implements Tool
Reads an Avro data file and writes a Trevni file.

## Constructor Summary

Constructors
Constructor
Description
`ToTrevniTool()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Name of tool, to be used in listings.
`String`
`getShortDescription()`
1-line description to be used in command listings.
`int`
`run(InputStream stdin, PrintStream out, PrintStream err, List<String> args)`
Runs the tool with supplied arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToTrevniTool

public ToTrevniTool()

## Method Details

### getName

public String getName()
Description copied from interface: `Tool`
Name of tool, to be used in listings.

Specified by:
  `getName` in interface `Tool`

### getShortDescription

public String getShortDescription()
Description copied from interface: `Tool`
1-line description to be used in command listings.

Specified by:
  `getShortDescription` in interface `Tool`

### run

public int run(InputStream stdin, PrintStream out, PrintStream err, List<String> args) throws Exception
Description copied from interface: `Tool`
Runs the tool with supplied arguments. Input and output streams are customizable for easier testing.

Specified by:
  `run` in interface `Tool`
Parameters:
  `stdin` - Input stream to read data (typically System.in).
  `out` - Output of tool (typically System.out).
  `err` - Error stream (typically System.err).
  `args` - Non-null list of arguments.
Returns:
  result code (0 for success)
Throws:
  `Exception` - Just like main(), tools may throw Exception.